curl --request GET \
--url https://api.swarmd.ai/relay/v1/relay-tasks/{taskId} \
--header 'Authorization: Bearer <token>'{
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"method": "<string>",
"contextId": "<string>",
"currentState": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdatedAt": "2023-11-07T05:31:56Z"
}Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | AGENT_CONVERSATIONS | READ | AGENT_CONVERSATIONS:READ |
curl --request GET \
--url https://api.swarmd.ai/relay/v1/relay-tasks/{taskId} \
--header 'Authorization: Bearer <token>'{
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"method": "<string>",
"contextId": "<string>",
"currentState": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdatedAt": "2023-11-07T05:31:56Z"
}JWT token (USER, AGENT, or SERVICE auth)